This code is distributed under the GNU (General Public License).

Usage instructions:

1) Create a folder described by 'BasePath'

2) Unzip the package submitted along with the manuscript and put all the files and the sub folders in the 'BasePath'.

3) The demo image stack is located in the folder BasePath\RawDataStack while the dynamically loaded images are saved in the folder BasePath\RawDataDynamic

4) Open the script file main.py and define the 'BasePath'. For instance: BasePath='E:\Allprograms\python\STORM' (for Anaconda in windows 10 and will vary for unix)

5) Define the selection parameters such as image_loading_type, reconstruction_type, crude_localization_type, 
sub_pixel_localization_method, image_deletion (in case image_loading_type=2)

6) Execution: In the case image_loading_type=1 in python (say, Anaconda) command prompt run: 

python main.py &

In the case image_loading_type=2 in python command prompt run: 

python main.py & python dynamic_im_gen.py &

7) Output is saved in the folder BasePath\Output

8) to speed up the reconstruction choose reconstruction_type=1 and/or comment out real time display in main.py

